require 'player1init'
require 'player2init'
require 'ball'

function love.load() --this will load the score and other things like audo and graphics
    score_p1 = 0
    score_p2 = 0

    big_font = love.graphics.newFont("/fonts/wide_pixel-7.ttf", 34)

    spawn_ball()
    spawnPlayer1()
    spawnPlayer2()
end

function love.update(dt)
    if updatePauseTimeout(dt) then
		movePlayer1(dt)
		movePlayer2(dt)
		ballMovement()
		ballCollision()
		checkSpeed()
		updateScore()
	end
end

function updatePauseTimeout(dt)
    pauseTimeout = pauseTimeout and (pauseTimeout - dt) or 4
	return pauseTimeout < 1
end

function drawPauseTimeout()
    if pauseTimeout > 3 then
	    love.graphics.printf("3", 0, 100, love.window.getWidth(), "center")
	elseif pauseTimeout > 2 then
	    love.graphics.printf("2", 0, 100, love.window.getWidth(), "center")
	elseif pauseTimeout > 1 then
	    love.graphics.printf("1", 0, 100, love.window.getWidth(), "center")
	elseif pauseTimeout > 0 then
	    love.graphics.printf("GO!", 0, 100, love.window.getWidth(), "center")
	end
end

function love.draw() --this will draw things to the screen like sprites
    love.graphics.setColor(255, 255, 255, 255) --this is white
--Draw the players
drawPlayer1()
drawPlayer2()

--Draw the ball
drawBall()
--Draw the score
love.graphics.setFont(big_font)
love.graphics.printf("Player 1 = " .. score_p1 .. " Player 2 = " .. score_p2, 0, 0, love.window.getWidth(), "center")
drawPauseTimeout()
end
